#-------------------------------------------------------------------------------
#
#  Define the 'fill less than' line plot base class
#
#  Written by: David C. Morrill
#
#  Date: 12/11/2002
#
#  (c) Copyright 2002 by Enthought, Inc.
#
#  Classes defined: FillLTRenderer
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:
#-------------------------------------------------------------------------------

from fill import FillRendererBase

#-------------------------------------------------------------------------------
#  'FillLTRenderer' class:
#
#  This is the concrete rendering base class for 'fill less than' line plots.
#-------------------------------------------------------------------------------

class FillLTRenderer ( FillRendererBase ):
    
    #---------------------------------------------------------------------------
    #  Return the 'fill type' to use:
    #     -1: Less than
    #      0: Not equal to
    #     +1: Greater than
    #---------------------------------------------------------------------------
    
    def _plot_type ( self ):
        return -1

