import unittest

from enthought.chaco.plot_canvas import PlotCanvas
from enthought.chaco.plot_data import PlotData


class SimplePlotData( PlotData ):
    """ A simple PlotData source for testing. """

    def data( self, source_name ):
        """ Return a simple sequence. """

        return [1,2,3]

class PlotDataTestCase( unittest.TestCase ):

    def setUp(self):
        self.plot_data = SimplePlotData()

    def test_add_to_plot_canvas(self):
        pc = PlotCanvas()
        self.plot_data.add(pc)
        self.assert_(True)







#### EOF #######################################################################
