""" A package explorer for SciPy. """


# Local imports.
from package_explorer import PackageExplorer


class SciPyExplorer(PackageExplorer):
    """ A package explorer for SciPy. """

    #### 'PackageExplorer' interface ##########################################

    # The root of the tree (currently the name of a package).
    root = 'scipy'

    ###########################################################################
    # 'View' interface.
    ###########################################################################

    def create_control(self, parent):
        """ Creates the toolkit-specific control that represents the view.

        'parent' is the toolkit-specific control that is the view's parent.

        """

        return self._create_package_tree(parent)
    
#### EOF ######################################################################
