class AbortSerialWorkflow(Exception):
    """ Script writers can raise this exception to politely signal that this
    workflow should be aborted.
    """
    pass

class InputNotInNamespace(Exception):
    def __init__(self, input):
        self.input = input

    def __str__(self):
        return "Input '%s' not defined in the namespace" % self.input