import unittest

from enthought.logger import logger

from tsd_script_subgroup_2_test_case import TsdScriptSubgroup2TestCase

from tsd_actors import *

        
#  Test suites:
#-------------------------------------------------------------------------------

def test_suite ( level = 1 ):
    suites = []
    if level > 0:
        suites.extend( [ unittest.makeSuite( x, 'test_' ) 
                            for x in [
                                    TsdScriptSubgroup2TestCase,
                            ] ] )
    testSuite = unittest.TestSuite( suites )
    return testSuite
    
def test ( level = 10 ):
    suite = test_suite( level )
    runner = unittest.TextTestRunner()
    runner.run( suite )
    return runner

#-------------------------------------------------------------------------------
#  Run tests:
#-------------------------------------------------------------------------------

from logging import INFO, DEBUG
if __name__ == "__main__":
    logger.setLevel(INFO)
    test()
    
    
### EOF ######################################################################
