#-------------------------------------------------------------------------------
#  
#  Envisage Actions associated with the graph editor plugin.  
#  
#  Written by: David C. Morrill
#  
#  Date: 03/01/2005
#  
#  (c) Copyright 2005 by Enthought, Inc.
#  
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports: 
#-------------------------------------------------------------------------------

from enthought.envisage.ui \
    import WorkbenchAction

from enthought.graph.vpl.graph_editor_plugin \
    import GraphEditorPlugin

#-------------------------------------------------------------------------------
#  'ViewGraphEditor' class:
#-------------------------------------------------------------------------------
    
class ViewGraphEditor ( WorkbenchAction ):
    """ An action that views a graph editor. """
    
#-- Action Interface -----------------------------------------------------------

    #---------------------------------------------------------------------------
    #  Performs the action:  
    #---------------------------------------------------------------------------
    
    def perform ( self ):
        """ Performs the action. """
        
        GraphEditorPlugin.instance.open_graph_editor( self.window.control )
    
