""" The open cookie for Dataflow resources. """


# Enthought library imports.
from enthought.envisage.project.action.open_cookie import OpenCookie
from enthought.graph.vpl.graph_editor_plugin import GraphEditorPlugin


class DataflowResourceOpenCookie(OpenCookie):
    """ The open cookie for Dataflow resources. """

    ###########################################################################
    # 'OpenCookie' interface.
    ###########################################################################

    def open(self, window, binding):
        """ Opens a resource referenced by the binding. """

        GraphEditorPlugin.instance.open_graph_editor(
            window.control, canvas=binding.obj, binding=binding
        )

        return
    
##### EOF #####################################################################
