""" A view containing a black panel! """


# Enthought library imports.
from enthought.envisage.workbench import View


class BlackView(View):
    """ A view containing a black panel! """

    ###########################################################################
    # 'View' interface.
    ###########################################################################

    def create_control(self, parent):
        """ Creates the toolkit-specific control that represents the view.

        'parent' is the toolkit-specific control that is the view's parent.

        """

        import wx
        
        panel = wx.Panel(parent, -1)
        panel.SetSize((100, 200))
        panel.SetBackgroundColour('black')

        return panel

#### EOF ######################################################################
