#-------------------------------------------------------------------------------
#
#  Define the 'fill less than constant' line plot base class
#
#  Written by: David C. Morrill
#
#  Date: 11/11/2003
#
#  (c) Copyright 2003 by Enthought, Inc.
#
#  Classes defined: FillCLTRenderer
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:
#-------------------------------------------------------------------------------

from fillc import FillCRendererBase

#-------------------------------------------------------------------------------
#  'FillCLTRenderer' class:
#
#  This is the concrete rendering base class for 'fill less than constant' 
#  line plots.
#-------------------------------------------------------------------------------

class FillCLTRenderer ( FillCRendererBase ):
    
    #---------------------------------------------------------------------------
    #  Return the 'fill type' to use:
    #     -1: Less than
    #      0: Not equal to
    #     +1: Greater than
    #---------------------------------------------------------------------------
    
    def _plot_type ( self ):
        return -1

