""" A demo plugin. """


# Enthought library imports.
from enthought.envisage import Plugin


class PythonResourcePlugin(Plugin):
    """ A python resource plugin. """

    # The shared plugin instance.
    instance = None

    ###########################################################################
    # 'object' interface.
    ###########################################################################

    def __init__(self, **traits):
        """ Creates a new plugin. """

        # Base-class constructor.
        super(PythonResourcePlugin, self).__init__(**traits)

        # Set the shared instance.
        PythonResourcePlugin.instance = self
        
        return

    ###########################################################################
    # 'Plugin' interface.
    ###########################################################################

    def start(self, application):
        """ Starts the plugin.

        Can be called manually, but is usually called exactly once when the
        plugin is first required.

        """

        pass
    
    def stop(self, application):
        """ Stops the plugin.

        Can be called manually, but is usually called exactly once when the
        application exits.

        """

        pass

#### EOF ######################################################################
