watdth=1362.1512;
oftemp=1.6667;
tgrad=1.1;
pgrad=0.465;
depth=[1981.2 1981.8096 1982.4192 1983.0288 1983.6384]';
salw_ss=30000.;
salw_sh=15000.;
vp_ss=[3. 3. 3.107 2.922 3.095]';
vp_sh=[2.7 2.7 2.8 2.6 2.65]';
kg_ss=[37. 37. 36. 38. 40.]';
rhog_ss=[2.65 2.65 2.64 2.63 2.66]';
rhob_ss=[2.3 2.3 2.349 2.355 2.448]';
kg_sh=[25. 25. 27. 26. 38.]';
rhog_sh=[2.6 2.6 2.582 2.568 2.305]';
rhob_sh=[2.5 2.5 2.478 2.492 2.506]';
gg_ss=[44 44. 42. 41. 43.]';
phit=[.15 .15 .16 .145 .18]';
xsh=[.6876 .6880 .6430 .6520 .6380]';

[tform ppore]=temp_press_linear(watdth,oftemp,tgrad,pgrad,depth);

[rho_wat_ss k_wat_ss]=brine_properties(ppore,tform,salw_ss);

[rho_wat_sh k_wat_sh]=brine_properties(ppore,tform,salw_sh);

[vs_ss vs_sh]=vs_wet_trends(vp_ss, vp_sh);

[biot_ss biotmax_ss biot_sh biotmax_sh]=biot_coeff_rhob(k_wat_ss,rho_wat_ss,kg_ss,rhog_ss,rhob_ss,vp_ss,vs_ss,k_wat_sh,rho_wat_sh,kg_sh,rhog_sh,rhob_sh,vp_sh,vs_sh);

[vp_wet vs_wet rhob_wet vp_sm vs_sm phi_sm rhob_sm phie_sm rhog_sm kg_sm vp_hs vs_hs phi_hs xlam xdis phi_ss phi_sh]=tsdmodel_rhob(vp_ss,vs_ss,rhob_ss,rhog_ss,kg_ss,gg_ss,vp_sh,vs_sh,rhob_sh,rhog_sh,kg_sh,phit,xsh,rho_wat_ss,rho_wat_sh);
