def print_info( value ):
    """

    """
    from cp.log import Log
    print "PrintInfo: type=", type(value), "value=", value
    if isinstance( value, Log ):
        print "           index:", value.index.name, value.index.units, \
                value.index.family_name, value.index.units_system_name, \
                "# samples=", len(value.index.data)
        print "           data: ", value.data.name, value.data.units, \
                value.data.family_name, value.data.units_system_name, \
                "# samples=", len(value.data)
    
    return


from enthought.graph.vpl.chip_manager import ChipManager
ChipManager().register(print_info,
    """
    <function function_name='print_info'
              name='Print Info'
              description='Prints type info about input object.'>

        <inputs>
            <arg    name='value'
                    description='A value to be inspected.'
                    units='None'
                    family_name='None'
                    external_type='int'
                    internal_type='int'
                    arg_name='value'
            />
        </inputs>
        <help>
          Print Info:
          Prints its input value.
        </help>
    </function>
    """
)
