""" __init__.py to make 'plugin' a package

""" 

import wx

from enthought.envisage import get_application

def start_wait():
    """ Changes the mouse cursor to the 'waiting' version. """

    # (Provided by L. Vaughn)
    wait_cursor = wx.StockCursor(wx.CURSOR_WAIT)
    win = get_application().gui.GetTopWindow()
    win.SetCursor(wait_cursor)

    return


def end_wait():
    """ Changes the mouse cursor back to the default version. """

    # (wx code provided by L. Vaughn)
    win = get_application().gui.GetTopWindow()
    win.SetCursor(wx.NullCursor)

    return

